#
# spec file for package python3-pluggy03
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-pluggy03
Version:        0.3.1
Release:        1.6
Summary:        plugin and hook calling mechanisms for python
License:        MIT
Group:          Development/Languages/Python
Url:            https://pypi.python.org/pypi/pluggy
Source:         https://files.pythonhosted.org/packages/source/p/pluggy/pluggy-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Conflicts:      python3-pluggy
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is the plugin manager as used by pytest but stripped of pytest
specific details.

During the 0.x series this plugin does not have much documentation
except extensive docstrings in the pluggy.py module.

This is version 0.3.x, kept for compatibility with some
packages that require an earlier version

%prep
%setup -q -n pluggy-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*
%doc README.rst LICENSE CHANGELOG

%changelog
* Tue Sep 27 2016 arun@gmx.de
- specfile:
  * change from tar.gz to zip
- update to version 0.4.0:
  * add has_plugin(name) method to pluginmanager.  thanks Bruno
    Oliveira.
  * fix issue11: make plugin parsing more resilient against exceptions
    from __getattr__ functions. Thanks Bruno Oliveira.
  * fix issue #4: specific HookCallError exception for when a hook
    call provides not enough arguments.
  * better error message when loading setuptools entrypoints fails due
    to a VersionConflict.  Thanks Daniel Hahler.
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sun Oct 25 2015 arun@gmx.de
- update to version 0.3.1:
  * avoid using deprecated-in-python3.5 getargspec method. Thanks
    Michael Droettboom.
* Wed May 27 2015 arun@gmx.de
- specfile:
  * corrected license information
* Sun May 24 2015 arun@gmx.de
- initial version
